package com.zanxiang.game.module.base.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-07-13
 * @description : 游戏应用类型
 */
@Getter
@AllArgsConstructor
public enum GameCategoryEnum {

    /**
     * 微信小游戏
     */
    CATEGORY_WX_APPLET(1L, "wx_applet", "微信小游戏"),

    /**
     * 抖音小游戏
     */
    CATEGORY_DY_APPLET(2L, "byte_applet", "抖音小游戏"),

    /**
     * h5游戏
     */
    CATEGORY_H5(3L, "h5", "h5游戏"),

    /**
     * app游戏
     */
    CATEGORY_APP(4L, "app", "app游戏");

    /**
     * 应用id
     */
    private Long category;

    /**
     * 游戏分类key
     */
    private String key;

    /**
     * 描述
     */
    private String name;
}
